# Created by pyp2rpm-3.3.5
%global pypi_name jupyterlab_pygments

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %autorelease
Summary:        Pygments theme
# Jupyterlab_pygments is BSD-3-Clause
# Bundled JS libs licences
# To get them, run:
# cat third-party-licenses.json | sed -n '/licenseId/s/"licenseId": "\(.*\)",/\1/p' | sort | uniq
# in jupyterlab_pygments/labextension/static. The result is:
#
# MIT
License:        BSD-3-Clause AND MIT
URL:            https://github.com/jupyterlab/jupyterlab_pygments
Source0:        %{pypi_source}
Patch:          drop-hatch-nodejs-version.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%description
This package contains a syntax coloring theme for pygments making use of the 
JupyterLab CSS variables.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       (python3dist(pygments) >= 2.4.1 with python3dist(pygments) < 3)

# Bundled provides
# Generated by:
# python3 -c "import json; [print(f\"Provides:        bundled(npm({p['name']})) = {p['versionInfo']}\") for p in json.load(open(\"third-party-licenses.json\"))[\"packages\"]]"
# in jupyterlab_pygments/labextension/static.
Provides:        bundled(npm(css-loader)) = 6.8.1
Provides:        bundled(npm(style-loader)) = 3.3.3

%description -n python3-%{pypi_name}
This package contains a syntax coloring theme for pygments making use of the 
JupyterLab CSS variables.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Replace dynamic version
sed -i "s/##VERSION##/%{version}/" pyproject.toml
# Remove the build-time dependency on jupyterlab - it's only needed if
# node.js packages are installed during the build, which is not the case in Fedora
sed -i '/"jupyterlab[><"]/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_datadir}/jupyter/labextensions/jupyterlab_pygments

%changelog
%autochangelog
